#include <MxL5007T.h>

MxL5007T tuner;

void setup() {
  tuner.init(MxL_XTAL_24_MHz);

  Serial.begin(9600);
  Serial.println(tuner.chipId());
  
  tuner.setFrequencyAndBw(102500000, 6);
}

void loop() {
  unsigned char lock = 0, ref = 0;

  tuner.getLockStatus(lock, ref);

  if (lock) Serial.println("RF  Lock"); else Serial.println("Rf  NOT");
  if (ref) Serial.println("ReF Lock"); else Serial.println("ReF NOT");

  delay(2000);
}
